ifupdown-extra (0.34) unstable; urgency=medium

  * Acknowledge NMUs (Closes: #1073705, Closes: #1007497)
  * if-up-scripts/check-duplicate-ip:
      - Fix error in which arping would incorrecly detect duplicates by using
        the lowercase options of the variables if using arping from the
        'arping' package. Thanks to Alex Volkov for spotting this and providing
        a patch (Closes: #993877)
      - Handle the case when ARP_TIMEOUT is too low and we are trying to use
        arping from the 'arping' package.
      - Use bash to avoid error 'cannot create /dev/stdout: No such device or
        address' (Closes: #1030979, #993826)
      - Prevent errors when redirecting stdout by using quiet mode in both
        versions of arping. Handle differences in behaviour of arping, using
        patch provided by Matus UHLAR - fantomas (Closes: #1003161, #993826)
   * if-up-scripts/{check-network-cable,check-duplicate-ip,check-gateway}: Do nothing if
     called with --all as IFACE (Closes: #1030976, #993826)
   * debian/network-test-default: Change the default logging to NO as the
     scripts output is sent to syslog anyway (Closes: 1030977)
   * debian/control
        - Set Rules-Requires-Root to 'no'
        - Updated Standards-Version and debhelper compatibility version

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Tue, 01 Oct 2024 03:06:45 +0200

ifupdown-extra (0.33+nmu3) unstable; urgency=medium

  * Non-maintainer upload.
  * Install systemd unit into /usr/lib (DEP17). (Closes: #1073705)

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 03 Aug 2024 14:37:24 +0200

ifupdown-extra (0.33+nmu2) unstable; urgency=medium

  * Non-maintainer upload
  * Convert to source format 3.0 (Closes: #1007497)
  * d/copyright: Convert to machine-readable format
  * Remove unnecessary lintian overrides
  * Drop B-D lsb-base
  * Remove versioned conflict

  [ Jelmer Vernooij ]
  * Migrate repository from alioth to salsa

 -- Bastian Germann <bage@debian.org>  Mon, 25 Mar 2024 20:05:07 +0000

ifupdown-extra (0.33+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:09:52 +0200

ifupdown-extra (0.33) unstable; urgency=medium

  * if-up-scripts/check-duplicate-ip6: Fix hardcoded value of interface in script
    (was using 'wlan0'), thanks to  Matti Kurkela for spotting this and 
    providing a patch (Closes: #992350)
  * debian/networking-routes.service: 
      - Remove incorrect After definition which was causing a cycle in systemd
        and lead to delays in network start (Closes: #991135)
      - Make this service start after network-online.target as this is what in
        general will be desirable (i.e. after interfaces are configured and
        defined), as I understand from
        https://www.freedesktop.org/wiki/Software/systemd/NetworkTarget/
        this is the right target for setting up new routes
        (in the network.target interfaces might not be yet configured)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sun, 05 Sep 2021 21:45:22 +0200

ifupdown-extra (0.32) unstable; urgency=high

  * if-up-scripts/static-routes:
     - Fix syntax error in script which causes routes added to be converted
       into "blackhole" routes (Closes: 987310)
     - Fail properly if the inteface (IFACE) is not defined when the script
       is called
     - Use route -n instead of 'route' to properly identify status of routes
       when the gateways are in the hosts file
  * debian/README: Describe caveats related to network link tests

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Thu, 03 Jun 2021 08:13:30 +0200

ifupdown-extra (0.31) unstable; urgency=medium

  * Fix some network scripts to adapt to the naming scheme introduced 
    in v197 of systemd (in Debian 5 Lenny) in which Ethernet interfaces
    can be named 'enXXX' instead of 'ethXX'. This was preventing many
    scripts to work properly as they skipped interfaces that were not 
    named 'ethXXX'. Thank you to Mart Lubbers for spotting this and providing
    a patch (Closes: 970359)

    Scripts modified:
      - if-up-scripts/check-duplicate-ip and
        if-up-scripts/check-duplicate-ip6: 
          * Replace the use of ETHTOOL with 'ip link xxx up' so it does not
            anymore need to be restricted to Ethernet addreses. 
          * Do nothing if the interface is a serial line or WWAN interface,
            but work on any other interface as long as the conditions are met.
      - if-up-scripts/check-duplicate-ip6: Improve the logic to not report
        if the local link address reported by ndisc6 is the same as the
        link address of the interface (it appears to happen in my system
        in Wireless interfaces)

      - if-up-scripts/check-gateway:
          * Replace the use of ETHTOOL with 'ip link xxx up'
          * Skip serial line interfaces as ARPPING will not work there

      - if-up-scripts/check-network-cable:
          * Implement a generic test for all non-Ethernet and non-Bond
            interfaces just using 'ip link xxxx up'
          * Work with the new interface naming scheme ( en* | eth*) and
            restrict the use of ethtool or mii-tool to Ethernet interfaces
          * Make it possible to disable the script through configuration
            in /etc/default/network-test (DO_CABLETEST)
 
       - scripts/network-test
          * Implement a generic test for all non-Ethernet
            interfaces just using 'ip link xxxx up' 
          * Work with the new interface naming scheme ( en* | eth*) and
            restrict the use of ethtool or mii-tool to Ethernet interfaces 
          * Replace the IPv4 lookup tool as it is not working anymore
          * Add Debug option (-v 4) to output all the information generated
            from the different commands analysed
          * Add a query to GeoIP API (only enabled if full debug is enabled)

  * scripts/network-test: 
     - Add documentation about the different options available to run the
       script (including verbosity levels)
     - Include information of additional external services introduced in this
       release (IPv6 and GeoIP info)

  * debian/network-test-default: Introduce an option (DO_CABLETEST) to make it
    possible for system administrators to disable the 
    /etc/network/if-up.d/00check-network-cable script if it shows up errors
    in their systems.
     
  * debian/README: Give some information on the package and scripts as 
    well as describe some known limitations - if an admin renames interfaces
    for his convenience some scripts might not work properly.

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sat, 19 Sep 2020 09:09:41 +0200

ifupdown-extra (0.30) unstable; urgency=medium

  * debian/control: Replace netcat with netcat-openbsd | ncat 
    (Closes: #969238)
  * scripts/network-test: Direct users to install netcat-openbsd if the 'nc'
    command is not found

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Tue, 01 Sep 2020 11:43:53 +0200

ifupdown-extra (0.29) unstable; urgency=medium

  * scripts/static-route: 
    - Add static routes at boot by accepting --all when the script is called,
      thanks Matus Uhlar for the patch (Closes: 901612) 
    - Use 'ip route' instead of route to blackhole routes (Closes: #961892)
  * scripts/check-duplicate-ip: Fix redirect typo, thanks Libor Klepac for
    the patch (Closes: 926865)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sat, 15 Aug 2020 01:10:41 +0200

ifupdown-extra (0.28) unstable; urgency=medium

  * scripts/network-test: 
    - Do not print IP address if we have not been able to determine it
    - Remove quote in comment to avoid false positive when running through
      check bashisms
  * if-up-scripts/check-duplicate-ip: Remove quote from comment to
     avoid false positive when running through check bashisms
  * debian/compat: Update to debhelper compatibility version 11
  * debian/ifupdown-extra.networking-routes.init: Add status check in the
     script
  * debian/control: 
     - Add dependency on lsb-base (fix lintian error)
     - Upgrade to debian policy 4.1.3, no changes required
     - Use https in Vcs-Browser
  * debian/rules: Do not set executable bit in service file (lintian fix)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Tue, 06 Feb 2018 22:04:56 +0100

ifupdown-extra (0.27) unstable; urgency=medium

  * scripts/network-test: 
    - Fix error in script that prevented it from locating the transmitted
      and received packets from the output of 'ip addr show'
    - Change URL test from http://network-test.debian.org/moo to
      http://network-test.debian.org/nm and adjust MD5sum accordingly
  * debian/networking-routes.service: Add a systemd service defining
      the proper order expected for this service (Closes: #796622)
  * if-up-scripts/check-network-cable: Use fixes provided by Timur I. Bakeyev
      to the script that fix the errors when running using dash 
      (Closes: 818276)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sat, 28 May 2016 23:10:17 +0200

ifupdown-extra (0.26) unstable; urgency=medium

  * if-up-scripts/check-duplicate-ip:
    - Add code to ensure that we skip IPv6 addresses if found
    (Closes: 758700)
    - Do not exit with error to prevent having an interface
      marked as unconfigured
  * if-up-scripts/check-duplicate-ip6:
    - New script to test for duplicate IPv6 assignment using ndisc6
  * if-up-scripts/check-network-cable:
    - Fix the definition of LINK which fails due to variable name
    (Closes: #758798) (LP: #1397965)
  * if-up-scripts/check-network-cable:
    - Do not exit with error to prevent having an interface
      marked as unconfigured
  * debian/ifupdown-extra.networking-routes.init:
    - Fix management of routes defined with an interface and with "any" as an
      interface. Also, use 'ip route' instead of the obsolete 'route' command.
      Thanks to Steve Wray for the patch. (Closes: #794846)
  * scripts/network-test: 
    - Fix logic so that it reports properly when only some, but not all,
      nameservers are failing. Thanks to Gregor Zattler for the patch
      that fixes the evaluation logic (Closes: #764529)
  * debian/control: 
    - Add ndisc6 to Recommends:
    - Mention that the scripts now test also IPv6 addressing

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Fri, 05 Feb 2016 23:41:39 +0100

ifupdown-extra (0.25) unstable; urgency=medium

  * debian/control: 
    - Add curl to dependencies
    - Update Standards Version
  * scripts/network-test: 
    - Fix error in output
    - Add tests to determine if the system is connected to the Internet
      (using the new http://network-test.debian.org/ Debian Network
      test system)
    - Add test to determine the system's public IP address

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Thu, 10 Apr 2014 01:25:07 +0200

ifupdown-extra (0.24) unstable; urgency=medium

  * if-up-scripts/check-gateway:
      - Fix typo in script that causes grep call to fail miserably
      (Closes: 726505, 726816)
  * debian/control:
      - Add dependency on dh-python, as indicated in
        https://wiki.debian.org/Python/TransitionToDHPython

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Mon, 21 Oct 2013 18:34:17 +0200

ifupdown-extra (0.23) unstable; urgency=low

  * if-up-scripts/check-duplicate-ip:
     - Manage redirections properly, the code causes invocation errors if using
       iputil's arping (Closes: 632210)
     - Harmonise call to external programs in shell script
  * if-up-scripts/check-network-cable:
     - Fix spacing and some other minor shell scripts (Closes: 641923)
  * if-up-scripts/check-gateway:
     - Harmonise call to external programs in shell script
  * debian/control: Rename iproute to iproute2, since the former is a
    transitional package that will be removed in Jessie+1

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Wed, 25 Sep 2013 18:35:23 +0200

ifupdown-extra (0.22) unstable; urgency=low

  [ Javier Fernández-Sanguino Peña ]
  * if-up-scripts/check-duplicate-ip:
     - Do not pass aliased interface information to arping since it cannot
       handle it properly (Closes: #644891)
  * Handle the configuration file through the use of dpkg-maintscript-helper
    instead of moving it directly to prevent dpkg from raising a conffile
    change prompt on upgrades even if the user has          not made any
    changes. 

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Fri, 14 Oct 2011 00:38:29 +0200

ifupdown-extra (0.21) unstable; urgency=low

  * Fix argument passing in function (Closes: #641312)
  * if-up-scripts/check-network-cable:
    - Do not run the 'ip' tool until we have verified that it is
    available
  * debian/source/lintian-overrides: Add overrides for lintian, required
    since debian/changelog is in UTF-8 format but debian/control is not

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Mon, 12 Sep 2011 22:47:26 +0200

ifupdown-extra (0.20) unstable; urgency=low

  * if-up-scripts/check-gateway,if-up-scripts/check-network-cable,scripts/network-test:
    Make dash happy by declaring the local variables at the beginning of each
    function (Closes: #639889)
  * if-up-scripts/check-network-cable:
     - Do not use ethtool or mii-tool if we are not running as root
  * if-up-scripts/check-duplicate-ip,if-up-scripts/check-gateway,if-up-scripts/check-network-cable,scripts/network-test:
     Proper quoting of shell-escaped variables

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Thu, 01 Sep 2011 10:26:30 +0200

ifupdown-extra (0.19) unstable; urgency=low

  * debian/control: Fix url in Vcs-git
  * scripts/network-test: 
    - Handle interfaces reported by 'ip' as being subinterfaces of others
      (such as the case of VLAN interfaces). (Closes: #636474)
    - Better handle the case when some of the tools used fail to work
    - Separate specific check for the default route and its router(s)
    - Do not test the loopback interface twice
    - Better detection for 'DOWN' interfaces through 'ip'
  * scripts/network-test.1: Improve the manpage with more documentation
    of how it works
  * if-up-scripts/check-network-cable: Use 'ip link' if neither
    ethtool no mii-tool are available and try to handle some of the 
    cases ip link nows about. Although it might not be as reliable
    as the others (Closes: #630137)
  * debian/ifupdown-extra.preinst: Add debhelper token, as required
  * debian/compat, debian/rules: Switch over to use debhelper version 7
    which bastly simplifies debian/rules and also fixes many lintian 
    warnings.
  * debian/control: 
      - Depend on debhelper v7
      - Update Standards Version to 3.9.2 (no changes needed)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Fri, 12 Aug 2011 03:14:20 +0200

ifupdown-extra (0.18) unstable; urgency=low

  * debian/control: Advertise that now sources are available in collab-maint.
  * if-up-scripts/static-routes: Be more strict when looking for 
    interfaces in the configuration file to avoid matching interfaces
    with similar names.
  * if-up-scripts/check-gateway: adjust how the ethtool binary alternative
    location is found

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Wed, 22 Jun 2011 01:30:45 +0200

ifupdown-extra (0.17) unstable; urgency=low

  * Move the network-cable test from /etc/network/if-pre-up.d/ to
   /etc/network/if-up.d/ so that it can behave properly and warn the sysadmin
   once the network cable is up.

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sun, 24 Apr 2011 17:57:35 +0200

ifupdown-extra (0.16) unstable; urgency=low

  * if-up-scripts/check-duplicate-ip: 
    - Location of ethtool has changed: adjust to the new location but fallback
      to the old one if it is still there.
    - Make it possible to use arping's arping which: is located in another
      directory, interprets parameters differently and does not support -q.
    Thanks to Cristian Ionescu-Idbohrn for bringing up this issue
    and providing a patch which I base the changes on (Closes: #614056)
    - Do not try to determine the ip address for interfaces we are not going
      to arping to.
    - Add some warnings for unexpected events that prevent the script
      from working.
  * if-up-scripts/check-network-cable: Location of ethtool has changed,
    adjust to the new location but fallback to the old one if it is
    still there.

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sun, 20 Feb 2011 13:58:38 +0100

ifupdown-extra (0.15) unstable; urgency=medium

  * if-up-scripts/static-routes: 
      - Fix typo that prevented the script from adding routes as it expected
        them to have 'reject' when they shouldn't. Thanks to Mathieu Parent and
        to Petru Ratiu for the patches. (Closes: #613632) (LP: #631533)
      - Add new functionality to support 'reject' routes in
        /etc/network/network-routes. Thanks to Petru Ratiu for the patch 
        (Closes: #458395)
  * scripts/network-test: 
      - Fix call to mktemp to use --tmpdir so that the script does not break if
        run in a non-writable directory (Closes: #541619)
      - Trap interrupts and abort under some circunstances, such as a
        Ctrl+C (LP: #450753)
  * debian/ifupdown-extra.preinst: Rename the /etc/network/network-routes
    config file to /etc/network/routes (Closes: #611982)
  * if-up-scripts/check-network-cable: Make the script work when bonding
    interfaces are used, using a patch provided by Ohad Lutzky (Closes: #574333)
  * [NEW] debian/ifupdown-extra.networking-routes.init: New init.d script
    to install global static networking routes which cannot be associated
    with any interface. This is useful for admins that want to share
    the configuration file /etc/network/routes through different systems
    in which the interface name changes or for 'reject' routes. 
    (Closes: #458395)
  * debian/rules: 
      - Fix installation of the network-routes sample configuration file so
        that it is installed where it should be (/etc/network/routes instead of
        /etc/network/network-routes) (Closes: #611982)
      - Install the new debian/ifupdown-extra.networking-routes.init as an
        init.d script running at 'S' runlevel right after the 'networking'
        script provided by netbase.
  * debian/TODO: An item was already done.
  * debian/control: Adapt description to indicate the new features included
    in the package.
  [ Lintian fixes ]
  * debian/copyright: 
     - Add proper copyright notice and use UTF-8 to put in my full name.
     - Indicate the copyright of code reused from SuSE's sysconfig
  * debian/control: Depend on 'iputils-ping | ping' instead of just ping

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Fri, 18 Feb 2011 19:31:05 +0100

ifupdown-extra (0.14) unstable; urgency=low

  * Apply a patch provided by Guillem Jover to make check-duplicate-ip work
    with interfaces with multiple interfaces (Closes: 507949)
  * Change handling of default values so that the environment variables
    are honored if set with patch provided by Osamu Aoki (Closes: 464715)
  * Change if-up-scripts/static-routes so that it complains if a line in
    /etc/network/static-routes is not defined as expected.

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sat, 01 Aug 2009 01:26:04 +0200

ifupdown-extra (0.13) unstable; urgency=low

  * Fix syntax error in the static-routes script and clarify a comment
    when exiting as soon as we find that there is no
    /etc/network/network-routes file (Closes: 496600)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Tue, 26 Aug 2008 12:17:27 +0200

ifupdown-extra (0.12) unstable; urgency=low

  * Change maintainer's email address

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Fri, 28 Dec 2007 02:34:51 +0100

ifupdown-extra (0.11) unstable; urgency=low

  * Move the package over to unstable, it is ready for mass consumption
  * if-up-scripts/check-duplicate-ip: Exit if the interface does not have
    an IP address asigned or none is provided. This prevents the script from
    breaking if used in systems with interfaces with no IP address (for
    example, in promiscuous mode)
  * if-up-scripts/check-gateway: 
      - if running as root do not use -D when calling arping but use -f
      instead (to return as soon as 1 reply has been received). -D does not
      work for all gateways
      - if not running as root, do use -D.
      - do not try to find out the status of the interface if not running as
      root.
      - work properly if multiple default gateways have been set.
  * network-test has been removed from debian-goodies, change the dependencies
    accordingly.

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Tue, 18 Dec 2007 21:12:50 +0100

ifupdown-extra (0.10) experimental; urgency=low

  * network-test:
      - Include patch provided by Federico Ceratto which adds command
        line support, allows the setting of a verbosity level and makes
        it possible to log to syslog based on that level. This patch
        is useful if the script is run through init, cron or other
        task-scheduling tool.
  * Updated conflicts: with debian-goodies, as network-test is still
    in there.

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sun, 14 Oct 2007 23:17:58 +0200

ifupdown-extra (0.9) experimental; urgency=low

  * check-duplicate-ip:
    - Rename check-arping to check-duplicate-ip.
    - Add GPL header to the script.
    - Fix so it can work in DHCP environments by retrieving IF_ADDRESS from
      the interface information, also makes it easer to use this as a 
      standalone script.
  * check-gateway: 
    - Fix so it can work in DHCP environments by retrieving IF_GATEWAY from
      the current routing information.
    - Add GPL header to the script.
  * static-route: Add GPL header to the script.
  * network-test: Fix it so it can retrieve interface addresses properly (no
    CIDR) when using 'ip addr show'

 -- Javier Fernández-Sanguino Peña <jfs@computer.org>  Mon, 18 Jun 2007 15:37:57 +0200 

ifupdown-extra (0.8) experimental; urgency=low

  * Conflict with the latest debian-goodies which still provides network-test

 -- Javier Fernández-Sanguino Peña <jfs@computer.org>  Tue, 19 Dec 2006 02:59:56 +0100

ifupdown-extra (0.7) experimental; urgency=low

  * Make network-test use bash (Closes: #401363)

 -- Javier Fernández-Sanguino Peña <jfs@computer.org>  Sun,  3 Dec 2006 08:45:54 +0100

ifupdown-extra (0.6) experimental; urgency=low

  [scripts/network-test]
  * Do not analyse resolv.conf lines that have been commented out.

 -- Javier Fernández-Sanguino Peña <jfs@computer.org>  Tue, 28 Nov 2006 23:37:02 +0100

ifupdown-extra (0.5) experimental; urgency=low

  * Improve the debian/control file so that it now Depends: on host 
    and the different 'ping' providers (Closes: #400473).
  * Have it Depend on iputils-arping | arping
  * Change network-test so it does not complain loudly if ethtool is not
    installed (just recommends its installation)
  * Fix duplicate spaces in the script as well as some typos with patch
    provided by Norbert Kiesel (Closes: #400463)

 -- Javier Fernández-Sanguino Peña <jfs@computer.org>  Sun, 26 Nov 2006 17:00:17 +0100

ifupdown-extra (0.4) experimental; urgency=low

  * Fix network link check in network-test

 -- Javier Fernández-Sanguino Peña <jfs@computer.org>  Sat, 25 Nov 2006 15:55:47 +0100

ifupdown-extra (0.3) experimental; urgency=low

  * First upload (to experimental) to get wider exposure.
  * Upgrade debian-goodies conflict.

 -- Javier Fernández-Sanguino Peña <jfs@computer.org>  Sat, 25 Nov 2006 13:09:41 +0100

ifupdown-extra (0.2) unstable; urgency=low

  * Change behaviour of network-test when testing ethernet link
    (based on 'check-network-cable' tests)

 -- Javier Fernández-Sanguino Peña <jfs@computer.org>  Wed, 16 Aug 2006 22:33:34 +0200

ifupdown-extra (0.1) unstable; urgency=low

  * Initial Release.

 -- Javier Fernández-Sanguino Peña <jfs@computer.org>  Sun, 13 Aug 2006 13:14:25 +0200
